#include "ComponentData.h"

#include "MyCanDoComponent.h"
#include "MyVersionComponent.h"
#include "MyTargetComponent.h"

#include "MyOpenComponent.h"
#include "MyCloseComponent.h"

#include "MyUnregisterComponent.h"
#include "MyRegisterComponent.h"

#include "MyOverrideRoutine1.h"
#include "MyOverrideRoutine2.h"

pascal ComponentResult main(ComponentParameters *params,PrivateGlobals **storage)
{
ComponentResult	result;

if (params->what < 0)			
	switch(params->what)
	{
	case kComponentOpenSelect:
		result = CallComponentFunction(params,MyOpenComponent);
		break;
	case kComponentCloseSelect:
		result = CallComponentFunctionWithStorage((Handle)storage,params,MyCloseComponent);
		break;
	case kComponentCanDoSelect:
		result = CallComponentFunctionWithStorage((Handle)storage,params,MyCanDoComponent);
		break;
	case kComponentVersionSelect:
		result = CallComponentFunction(params,MyVersionComponent);
		break;
	case kComponentRegisterSelect:
		result = CallComponentFunctionWithStorage((Handle)storage,params,MyRegisterComponent);
		break;
	case kComponentUnregisterSelect:
		result = CallComponentFunctionWithStorage((Handle)storage,params,MyUnregisterComponent);
		break;
	case kComponentTargetSelect:
		result = CallComponentFunctionWithStorage((Handle)storage,params,MyTargetComponent);
		break;
	default:
		result = badComponentSelector;
		break;
	}
else							
	switch(params->what)
		{
		case kMyOverrideRoutine1:
			result = CallComponentFunctionWithStorage((Handle)storage,params,MyOverrideRoutine1);
			result = DelegateComponentCall(params,(*storage)->delegate);
			break;
		case kMyOverrideRoutine2:
			result = CallComponentFunctionWithStorage((Handle)storage,params,MyOverrideRoutine2);
			result = DelegateComponentCall(params,(*storage)->delegate);
			break;
		default:
			result = DelegateComponentCall(params,(*storage)->delegate);
			break;
		}

return result;
}


