/*
	File:		StdTTS.h

	Written by: Guillermo A. Ortiz Developer Technical Support

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/

#define stdTextToSpeechComponentType 'stts'

typedef long SpeechFlags;
/* hide sliders */
#define	ttsSupressPitch 	1
#define	ttsSupressRate 		2

/* gender control for voices, the default is show all, three flags set is means all */
#define ttsNeutralVoices	16
#define ttsMaleVoices		32
#define ttsFemaleVoices		64
#define ttsUseDescription	128

/* this is called when sorting the voices to be displayed should 	*/
/* return true if order has to be reversed and false otherwise 		*/
typedef pascal Boolean (*TTSSortFilter)(VoiceDescription *voice1, VoiceDescription *voice2);

typedef struct StdTTSParams {
SpeechFlags			flags;
VoiceDescription	curVoice;
Fixed				rate;		/* set to zero if default to be used */
Fixed				pitch;		/* set to zero if default to be used */
Fixed				modulation;	/* set to -1 if default to be used */
char				*message;
} StdTTSParams;
typedef StdTTSParams *StdTTSParamsPtr,**StdTTSParamsHandle;



/* returns 1 if the user selected a voice different than the one it got,
   0 otherwise.
*/
pascal ComponentResult 
         StdSpeechDialog(ComponentInstance ciTTS, StdTTSParamsPtr speechParams,Point *where)
	= {0x2F3C,0x8,0x1,0x7000,0xA82A};

